CREATE TABLE fmk_d_cont_appr_steps (
    CONTENT_APPR_STEP_ID     NUMBER(18, 0) ,
    CONTENT_ID               NUMBER            NOT NULL,
    STEP_NUM                 NUMBER        ,
    TITLE                    VARCHAR2(320) ,
    APPROVERS                VARCHAR2(4000),
    STATUS                   VARCHAR2(240) ,
    TASK_ID                  NUMBER        ,
    IS_ACTIVE                VARCHAR2(4)       NOT NULL,
    TEMPLATE_ID              NUMBER        ,
    CONTENT_VERSION          NUMBER        ,
    TASK_SUBJECT             VARCHAR2(4000),
    TASK_DETAIL_PK           VARCHAR2(1600),
    TASK_INITIATOR           VARCHAR2(1020),
    TASK_ACTUAL_OWNER        VARCHAR2(1020),
    TASK_STATE_CODE          VARCHAR2(56)  ,
    TASK_STATE               VARCHAR2(84)  ,
    TASK_OUTCOME_CODE        VARCHAR2(128) ,
    TASK_OUTCOME             VARCHAR2(128) ,
    TASK_DEF_ID              NUMBER        ,
    TASK_DEF_NAME            VARCHAR2(1020),
    TASK_DEF_STATIC_ID       VARCHAR2(1020),
    TASK_CREATED_BY          VARCHAR2(1020),
    TASK_LAST_UPDATED_BY     VARCHAR2(1020),
    TASK_CREATED_ON          TIMESTAMP(6)  ,
    TASK_LAST_UPDATED_ON     TIMESTAMP(6)  ,
    TO_BE_CANCELLED          VARCHAR2(4)   ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TASK_ID_REF              NUMBER        ,
    STEP_ID                  NUMBER        ,
    CONTENT_APPR_STEP_ID     NUMBER(18, 0) ,
    CONTENT_ID               NUMBER            NOT NULL,
    STEP_NUM                 NUMBER        ,
    TITLE                    VARCHAR2(320) ,
    APPROVERS                VARCHAR2(4000),
    STATUS                   VARCHAR2(240) ,
    TASK_ID                  NUMBER        ,
    IS_ACTIVE                VARCHAR2(4)       NOT NULL,
    TEMPLATE_ID              NUMBER        ,
    CONTENT_VERSION          NUMBER        ,
    TASK_SUBJECT             VARCHAR2(4000),
    TASK_DETAIL_PK           VARCHAR2(1600),
    TASK_INITIATOR           VARCHAR2(1020),
    TASK_ACTUAL_OWNER        VARCHAR2(1020),
    TASK_STATE_CODE          VARCHAR2(56)  ,
    TASK_STATE               VARCHAR2(84)  ,
    TASK_OUTCOME_CODE        VARCHAR2(128) ,
    TASK_OUTCOME             VARCHAR2(128) ,
    TASK_DEF_ID              NUMBER        ,
    TASK_DEF_NAME            VARCHAR2(1020),
    TASK_DEF_STATIC_ID       VARCHAR2(1020),
    TASK_CREATED_BY          VARCHAR2(1020),
    TASK_LAST_UPDATED_BY     VARCHAR2(1020),
    TASK_CREATED_ON          TIMESTAMP(6)  ,
    TASK_LAST_UPDATED_ON     TIMESTAMP(6)  ,
    TO_BE_CANCELLED          VARCHAR2(4)   ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TASK_ID_REF              NUMBER        ,
    STEP_ID                  NUMBER        ,
    CONSTRAINT pk_fmk_d_cont_appr_steps PRIMARY KEY (CONTENT_APPR_STEP_ID, CONTENT_APPR_STEP_ID)
);
